%======================================================================
%                    S E T _ C A S T _ P A R A M S . M 
%                    doc: Mon Apr 20 09:03:09 2015
%                    dlm: Tue Nov 23 13:33:42 2021
%                    (c) 2015 A.M. Thurnherr
%                    uE-Info: 18 0 NIL 0 0 72 2 2 4 NIL ofnI
%======================================================================

close all; figure(100);
more off;

%processing_version = 1;										% BT & GPS
%processing_version = 2;										% all constraints
%processing_version = 3;										% all constraints, TRDI BT
%processing_version = 4;										% GPS only
%processing_version = 5;										% Nortek testing
%processing_version = 6;										% BT & GPS; IMPed files
processing_version = 7;											% all constraints; IMPed files

final_version 		= 7;

f.res         = sprintf('V%d/%03d',processing_version,stn);
f.checkpoints = sprintf('./checkpoints/%03d',stn);

if processing_version < 6
	dfextn = '.PD0';
else
	dfextn = '.IMP';
end

if stn<32 || stn>34
	f.ladcpdo = sprintf('../Data/raw/%03d01_DL%s',stn,dfextn);
	f.ladcpup = sprintf('../Data/raw/%03d01_UL%s',stn,dfextn);
	if processing_version == 3
		p.btrk_mode = 3;										% TRDI BT
	else
		p.btrk_mode = 2;										% post-processed BT
	end
else															% Nortek Stations
	if processing_version==5 && stn==32
		f.ladcpdo = sprintf('../Data/raw/032/032DL%s',dfextn);
		f.ladcpup = sprintf('../Data/raw/032/032UL000.000');
		p.edit_mask_dn_bins = [1 6:62];
	else 
		f.ladcpdo = sprintf('../Data/raw/%03d01_UL%s',stn,dfextn);
		p.btrk_mode = 0;
	end
end

%mkSADCP('/Volumes/tgt-data/TN389/adcp/proc/os75nb/contour','../Data/SADCP/SADCP.mat');
f.sadcp = '../Data/SADCP/SADCP.mat';

f.ctd = sprintf('../Data/CTD/%03d.1Hz',stn);
    f.ctd_header_lines      = 35;
    f.ctd_fields_per_line   = 12;
    f.ctd_pressure_field    = 2;
    f.ctd_temperature_field = 3;
    f.ctd_salinity_field    = 6;
    f.ctd_time_field        = 1;
    f.ctd_time_base         = 0;

f.nav = f.ctd;              
    f.nav_header_lines      = f.ctd_header_lines;
    f.nav_fields_per_line   = f.ctd_fields_per_line;
    f.nav_time_field        = f.ctd_time_field;
    f.nav_lat_field         = 11;
    f.nav_lon_field         = 12;
    f.nav_time_base         = f.ctd_time_base;    
    
%----------------------------------------------------------------------

ps.fig3_colormap 	= 1;					% defaults
ps.fig3_err_y_axis 	= 1;
ps.sadcpfac			= 1;
ps.botfac			= 1;
ps.barofac			= 1;
p.saveplot	        = [1:6 9:11 12:14 1];	% first plot is sometimes not 01 (Matlab bug)
p.ctdmaxlag 		= 150;
p.getdepth 			= 2;
p.btrk_ts 			= 40;					% 30 is too little for 002

if processing_version == 1 || processing_version == 6		% disable SADCP constraint for QC
	ps.sadcpfac 	= 0;
end

if processing_version == 4					% GPS constraint only
	ps.sadcpfac 	= 0;
	ps.botfac 		= 0;
end

if processing_version == final_version		% make pdf plots (instead of ps)
	p.saveplot_pdf = [1:6 9:11 13:14 1];
	p.saveplot = [];
end

p.ladcp_station     = stn;
p.checkpoints       = [1]; 

p.cruise_id         = 'A20';
p.whoami            = 'A.M. Thurnherr';
p.name              = sprintf('%s station #%d (V%d)',p.cruise_id,p.ladcp_station,processing_version);
